Loading...
Searching...
No Matches
popen.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/spawn.h>`
Include dependency graph for popen.c:

Go to the source code of this file.

## Functions

void | G_popen_clear (struct Popen *state)
FILE * | G_popen_write (struct Popen *state, const char *program, const char **args)
FILE * | G_popen_read (struct Popen *state, const char *program, const char **args)
void | G_popen_close (struct Popen *state)

## Function Documentation

## G_popen_clear()

void G_popen_clear | ( | struct Popen * | state | ) |

Definition at line 56 of file popen.c.

References NULL.

Referenced by G_open_mail(), and G_open_pager().

## G_popen_close()

void G_popen_close | ( | struct Popen * | state | ) |

Definition at line 72 of file popen.c.

References G_wait().

Referenced by G_close_mail(), and G_close_pager().

## G_popen_read()

FILE * G_popen_read | ( | struct Popen * | state,
|  | const char * | program,
|  | const char ** | args )

Definition at line 67 of file popen.c.

## G_popen_write()

FILE * G_popen_write | ( | struct Popen * | state,
|  | const char * | program,
|  | const char ** | args )

Definition at line 62 of file popen.c.

Referenced by G_open_mail(), and G_open_pager().